Subject: Some Elpa packages don't provide a feature
From: Jonas Bernoulli <[email-masked]>
To: [email-masked]
Date: Sun, 29 Nov 2015 20:34:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The following Elpa packages do not provide a feature: `ada-ref-man',
`transcribe', and `uni-confusables'.  I believe all packages should
contain a library which provides the appropriate feature.

`transcribe' additionally violates many other conventions.  The various
section headers lack the space after the semicolons.  Not a single
symbol is properly prefixed or documented.  It should probably be
removed.

`load-relative' also doesn't provide its feature using `provide', but
that is intentional - it uses the alternative `provide-me' form, which
it itself defines.  I cannot really see what's so great about being
able to write `(provide-me)' instead of `(provide 'the-feature)', but
some people obviously thought it that was a good idea.  Anyway, should
`load-relative' itself really use `provide-me'?